import Spy = jasmine.Spy;
import { of } from 'rxjs';

import { SpyObject } from './spyobject';
import { UserWatchListService } from 'app/entities/user-watch-list/user-watch-list.service';
import { IUserWatchList } from 'app/shared/model/user-watch-list.model';
import { CheckFrequency } from 'app/shared/model/enumerations/check-frequency.model';

export class MockUserWatchListService extends SpyObject {
  getSpy: Spy;
  findMyWatchlistsSpy: Spy;

  defaultWatchList: IUserWatchList[] = [{
      id: 1,
      name: "My WatchList",
      checkFrequency: CheckFrequency.NEVER,
      userLogin: "any",
      userId: 0
  }];


  constructor() {
    super(UserWatchListService);

    this.getSpy = this.spy('get').andReturn(this);
    this.findMyWatchlistsSpy = this.spy('findMyWatchlists').andReturn(of({body: this.defaultWatchList}));
  }

}
